<template>
	<section class="container">
		<video src="https://www.spseke.sk/web/skola/docs/SPSE_Kosice.mp4" autoplay muted loop></video>
		<div class="clone">
			<header>
				<a href="https://spseke.sk">
					<img src="/images/spseke.png" alt="" />
				</a>
				<nav>
					<a href="https://spseke.sk/web/dod/">Prečo SPŠE?</a>
					<a href="#virtual">Prehliadka</a>
				</nav>
			</header>
			<div class="content">
				<div class="info-wrap">
					<div class="title">Moderné</div>
					<div class="info-items">
						<div class="moving-box">
							<div class="info">učebne</div>
							<div class="info">vybavenie</div>
							<div class="info">technológie</div>
							<div class="info">vyučovanie</div>
						</div>
					</div>
				</div>
				<div class="btns">
					<a href="https://spseke.sk/web/dod/">Prečo SPŠE?</a>
					<a href="#virtual">Pozri si priestory</a>
				</div>
			</div>
			<a href="#virtual" class="fas fa-mouse"></a>
		</div>
	</section>
</template>

<script>
import { inject, reactive, toRefs } from 'vue'

export default {
	setup() {
		const state = reactive({
			vue: inject('vue'),
		})

		return {
			...toRefs(state),
		}
	},
}
</script>

<style lang="scss" scoped>
@import '@/assets/scss/vars.scss';

.container {
	height: 100vh;
	position: relative;
	overflow: hidden;

	video {
		width: 100%;
		height: 100%;
		object-fit: cover;
	}

	.clone {
		position: absolute;
		top: 0;
		left: 0;
		background: rgba(0, 0, 0, 0.5);
		width: 100%;
		height: 100%;
		padding: 3vmin 7vmin;
		display: grid;
		align-content: space-between;

		header {
			display: grid;
			grid-auto-flow: column;
			align-items: center;
			justify-content: space-between;

			& > a {
				text-decoration: none;

				img {
					width: 3rem;
					opacity: 0.5;
					transition: 0.5s;

					&:hover {
						opacity: 1;
					}
				}
			}

			nav {
				display: grid;
				grid-auto-flow: column;

				a {
					color: $color04;
					text-decoration: none;
					font-size: 0.6rem;
					font-weight: 500;
					padding: 0.5rem 1rem;
					display: grid;
					align-content: center;
					text-align: center;

					@media (min-width: 360px) {
						font-size: 0.75rem;
					}

					&:nth-child(1) {
						transition: 0.5s;

						&:hover {
							color: $color02;
						}
					}

					&:nth-child(2) {
						border: 2px solid $color02;
						border-radius: 1rem;
						transition: 0.4s;

						&:hover {
							background: rgba(255, 216, 1);
							color: $color03;
						}
					}
				}
			}
		}

		.content {
			color: $color04;
			display: grid;
			grid-gap: 2rem;

			.info-wrap {
				align-content: center;
				align-items: center;
				display: grid;
				grid-gap: 0.5rem;
				justify-content: start;
				grid-template-columns: 1fr;

				@media (min-width: 600px) {
					grid-template-columns: auto 1fr;
					grid-gap: 1rem;
				}

				.title {
					font-size: 2rem;
					text-transform: uppercase;
					color: $color02;
				}

				.info-items {
					height: 2.3rem;
					position: relative;
					overflow: hidden;

					@keyframes moving {
						0%,
						24% {
							bottom: 0;
						}
						25%,
						49% {
							bottom: 120%;
						}
						50%,
						74% {
							bottom: 240%;
						}
						75%,
						99% {
							bottom: 360%;
						}
						100% {
							bottom: 0;
						}
					}

					.moving-box {
						animation: 10s moving infinite linear;
						position: absolute;
						bottom: 0;
						left: 0;
						height: 100%;
						display: grid;
						grid-auto-flow: row;
						grid-gap: 0.5rem;

						.info {
							font-size: 2rem;
						}
					}
				}
			}
			.btns {
				display: grid;
				grid-auto-flow: column;
				grid-gap: 0.5rem;
				justify-content: start;

				a {
					display: grid;
					align-content: center;
					text-decoration: none;
					padding: 0.7rem 1rem;
					font-size: 0.63rem;
					justify-self: start;
					transition: 0.5s;
					border-radius: 1.2rem;
					text-align: center;

					@media (min-width: 400px) {
						font-size: 0.75rem;
					}

					&:nth-child(1) {
						color: $color04;
						border: 2px solid $color04;

						&:hover {
							background: rgba(255, 255, 255, 0.3);
						}
					}
					&:nth-child(2) {
						background: rgba(255, 216, 0, 1);
						color: $color03;
						border: 2px solid $color02;

						&:hover {
							background: rgba(255, 216, 0, 0.7);
						}
					}
				}
			}
		}

		@keyframes jumping {
			from {
				transform: translateY(0);
			}
			to {
				transform: translateY(-1rem);
			}
		}

		.fas.fa-mouse {
			color: $color04;
			justify-self: center;
			animation: jumping 1s infinite alternate;
		}

		& > a {
			text-decoration: none;
		}
	}
}
</style>
